<template>
  <h1>Field level validation + Yup</h1>
  <div>
    <input v-model="value" type="text" />
    <span>{{ errorMessage }}</span>
  </div>
</template>

<script>
import { useField } from "vee-validate";
import * as yup from "yup";

export default {
  setup() {
    const { errorMessage, value } = useField(
      "fieldName",
      yup.string().required().min(8)
    );

    return {
      value,
      errorMessage,
    };
  },
};
</script>
